package com.arrebol.taxiservicios.model.core;


import com.arrebol.taxiservicios.model.catalog.RegimenFiscal;
import java.io.Serializable;


/**
 *
 * @author Picasso
 */
public class PersonCommercialInvoice implements Serializable {

    private static final long serialVersionUID = -3142909516651108510L;

    private String id;
    private String idPerson;
    private String businessName;
    private String rfc;
    private String address;
    private String suburb;
    private String state;
    private String municipality;
    private String country;
    private String postalCode;
     private RegimenFiscal regimenFiscal;

    public PersonCommercialInvoice(String id, String idPerson, String businessName, String rfc, String address, String suburb, String state, String municipality, String country, String postalCode, RegimenFiscal regimenFiscal) {
        this.id = id;
        this.idPerson = idPerson;
        this.businessName = businessName;
        this.rfc = rfc;
        this.address = address;
        this.suburb = suburb;
        this.state = state;
        this.municipality = municipality;
        this.country = country;
        this.postalCode = postalCode;
        this.regimenFiscal = regimenFiscal;
    }

    
    
    
    
    
    
    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public RegimenFiscal getRegimenFiscal() {
        return regimenFiscal;
    }

    public void setRegimenFiscal(RegimenFiscal regimenFiscal) {
        this.regimenFiscal = regimenFiscal;
    }

    public PersonCommercialInvoice() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdPerson() {
        return idPerson;
    }

    public void setIdPerson(String idPerson) {
        this.idPerson = idPerson;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getRfc() {
        return rfc;
    }

    public void setRfc(String rfc) {
        this.rfc = rfc;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSuburb() {
        return suburb;
    }

    public void setSuburb(String suburb) {
        this.suburb = suburb;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getMunicipality() {
        return municipality;
    }

    public void setMunicipality(String municipality) {
        this.municipality = municipality;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

   
    

    @Override
    public String toString() {
        return "Person{" + businessName+ '}';
    }

   
}
